%define xtag X11R7.3
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXext runtime library
Name: 		libXext
Version:	1.0.3
Release: 	2
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	libX11-devel
BuildRequires: 	libXau-devel

Obsoletes: 	xorg-libs

%description
X.Org X11 libXext runtime library

%package devel
Summary: 	X.Org X11 libXext development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

Requires: 	libX11-devel
# xorg-x11-proto-devel is needed by xext.pc
Requires: 	xorg-x11-proto-devel

Obsoletes: 	xorg-devel

%description devel
X.Org X11 libXext development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build

%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL ChangeLog
%{_libdir}/libXext.so.6
%{_libdir}/libXext.so.6.4.0

%files devel
%defattr(-,root,root,-)
%if %{with_static}
%{_libdir}/libXext.a
%endif
%{_libdir}/libXext.so
%{_libdir}/pkgconfig/xext.pc
#%dir %{_mandir}/man3x
%{_mandir}/man3

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-2
- rebuilt for Xorg 7.3
* Wed Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- Version update
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-1
- Version update
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.1-1
- Initial release
